<?php

namespace BitGoblin\Goliath\Controllers;

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Slim\Views\Twig;
use BitGoblin\Goliath\Models\Ticket;

class HomeController extends Controller {

  public function getIndex(Request $request, Response $response): Response {
    // find tickets from the database
    $tickets = Ticket::all();

    $view = Twig::fromRequest($request);
    return $view->render($response, 'index.twig', [
      'tickets' => $tickets,
    ]);
  }

}
